## com.saxonica.schema
Class IdentityField

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.IdentityField

All Implemented Interfaces:
  Serializable, SourceLocator

    public class IdentityField

extends SchemaStructure

The field selector for an IdentityConstraint

See Also:
  Serialized Form

Constructor Summary
`IdentityField(String xpath)` Creates a new IdentityField.

Method Summary
`Selection` `getSelection()` Get the compiled XPath expression
`String` `getXPath()` Returns the XPath of this IdentityField.
`void` `setSelection(Selection selection)` Set the compiled XPath expression
`void` `setXPath(String xpath)` Sets the XPath expression for this Field.

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getConfiguration, getFixupStatus, getLineNumber, getPublicId, getSystemId, getValidationStatus, lookForCycles, setConfiguration, setFixupStatus, setLineNumber, setLocator, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityField

    public IdentityField(String xpath)

  Creates a new IdentityField.

  Parameters:
    `xpath` - the xpath for the IdentityField. Must not be null.

Method Detail

### getXPath

    public String getXPath()

  Returns the XPath of this IdentityField. This value will never be null.

  Returns:
    the XPath of this IdentityField.

### getSelection

    public Selection getSelection()

  Get the compiled XPath expression

  Returns:
    the compiled XPath expression, as a Selector object

### setXPath

    public void setXPath(String xpath)

  Sets the XPath expression for this Field.

  Parameters:
    `xpath` - the XPath expression for this IdentityField. Must not be null.

### setSelection

    public void setSelection(Selection selection)

  Set the compiled XPath expression

  Parameters:
    `selection` -

Copyright (C) Michael H. Kay. All rights reserved.